fields:
  incidentBlockHeading:
    label: Incident Blocks
    type: headline
  incidentblocks:
    label: Add incident block
    type: structure
    style: table
    empty: No incidents added yet
    fields:
      title:
        label: Headline
        type: text
        width: 1/1
      
      dateReported:
        label: Date first reported
        type: date
        width: 1/3
      incident_type:
        label: Incident type
        type: select
        options: query
        query:
          fetch: site.find("insights/uk-incidents").incidentTypes.toStructure 
          text: "{{ structureItem.type }}"
          value: "{{ structureItem.type }}"
        width: 1/3
      incidentImage:
        label: Image
        type: files
        layout: cards
        multiple: false
        templates:
          - image
        width: 1/3
      description:
        label: Incident description
        type:  textarea
       width: 1/1
      incident_link:
        label: Incident link
        type:  text
       width: 1/1 
      sectors:
        label: Sectors
        type: checkboxes
        options: query
        query:
          fetch: site.find("insights/uk-incidents").sectors.toStructure 
          text: "{{ structureItem.sector }}"
          value: "{{ structureItem.sector }}"
        width: 1/3